import { computed, inject } from 'vue';
import { configProviderInjectionKey } from '../config-provider/src/ConfigProvider';
import { commonLight } from '../_styles/common';
export function useThemeVars() {
    return computed(() => {
        const configProviderInjection = inject(configProviderInjectionKey, null);
        if (configProviderInjection === null)
            return commonLight;
        const { mergedThemeRef: { value: mergedTheme } } = configProviderInjection;
        if (mergedTheme) {
            const { common } = mergedTheme;
            return common || commonLight;
        }
        else {
            return commonLight;
        }
    });
}
