"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _utils_1 = require("../../_utils");
exports.default = vue_1.defineComponent({
    name: 'TreeNodeContent',
    props: {
        clsPrefix: {
            type: String,
            required: true
        },
        disabled: {
            type: Boolean,
            default: false
        },
        onClick: Function,
        onDragstart: Function,
        tmNode: {
            type: Object,
            required: true
        }
    },
    setup(props) {
        const selfRef = vue_1.ref(null);
        function doClick(e) {
            const { onClick } = props;
            if (onClick)
                onClick(e);
        }
        function handleClick(e) {
            doClick(e);
        }
        return {
            selfRef,
            handleClick
        };
    },
    render() {
        const { clsPrefix, handleClick, onDragstart, tmNode: { rawNode: { prefix, label, suffix } } } = this;
        return (vue_1.h("span", { ref: "selfRef", class: [`${clsPrefix}-tree-node-content`], onClick: handleClick, draggable: onDragstart === undefined ? undefined : true, onDragstart: onDragstart },
            prefix ? (vue_1.h("div", { class: `${clsPrefix}-tree-node-content__prefix` }, _utils_1.render(prefix))) : null,
            vue_1.h("div", { class: `${clsPrefix}-tree-node-content__text` }, _utils_1.render(label)),
            suffix ? (vue_1.h("div", { class: `${clsPrefix}-tree-node-content__suffix` }, _utils_1.render(suffix))) : null));
    }
});
