"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emptyImage = exports.defaultFilter = exports.keysWithFilter = void 0;
function traverse(nodes, callback, callbackAfter) {
    nodes === null || nodes === void 0 ? void 0 : nodes.forEach((node) => {
        callback(node);
        traverse(node.children, callback, callbackAfter);
        callbackAfter(node);
    });
}
function keysWithFilter(nodes, pattern, filter) {
    const keys = new Set();
    const highlightKeySet = new Set();
    const path = [];
    traverse(nodes, (node) => {
        path.push(node);
        if (filter(pattern, node)) {
            highlightKeySet.add(node.key);
            for (let i = path.length - 2; i >= 0; --i) {
                if (!keys.has(path[i].key)) {
                    keys.add(path[i].key);
                }
                else {
                    return;
                }
            }
        }
    }, () => {
        path.pop();
    });
    return {
        expandedKeys: Array.from(keys),
        highlightKeySet
    };
}
exports.keysWithFilter = keysWithFilter;
const emptyImage = null;
exports.emptyImage = emptyImage;
if (typeof window !== 'undefined') {
    const emptyImage = new Image();
    emptyImage.src =
        'data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==';
}
const defaultFilter = (pattern, node) => {
    if (!pattern.length)
        return true;
    return node.label.toLowerCase().includes(pattern.toLowerCase());
};
exports.defaultFilter = defaultFilter;
